#ifndef CONF_H
#define	CONF_H

/*
 *
 *	RADIUS
 *	Remote Authentication Dial In User Service
 *
 *
 *	Livingston Enterprises, Inc.
 *	6920 Koll Center Parkway
 *	Pleasanton, CA   94566
 *
 *	Copyright 1992 Livingston Enterprises, Inc.
 *
 *	Permission to use, copy, modify, and distribute this software for any
 *	purpose and without fee is hereby granted, provided that this
 *	copyright and permission notice appear on all copies and supporting
 *	documentation, the name of Livingston Enterprises, Inc. not be used
 *	in advertising or publicity pertaining to distribution of the
 *	program without specific prior permission, and notice be given
 *	in supporting documentation that copying and distribution is by
 *	permission of Livingston Enterprises, Inc.
 *
 *	Livingston Enterprises, Inc. makes no representations about
 *	the suitability of this software for any purpose.  It is
 *	provided "as is" without express or implied warranty.
 *
 *      Copyright (c) 1996 Ascend Communications, Inc.
 *      All rights reserved.
 *
 *      Permission to copy, display, distribute and make derivative works
 *      from this material in whole or in part for any purpose is granted
 *      provided that the above copyright notice and this paragraph are
 *      duplicated in all copies.  THIS SOFTWARE IS PROVIDED "AS IS" AND
 *      WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES INCLUDING, WITHOUT
 *      LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 *      FOR A PARTICULAR PURPOSE.
 *
 */

/*
 * Copyright [C] The Regents of the University of Michigan and Merit Network,
 * Inc. 1992, 1993, 1994, 1995, 1996, 1997, 1998 All Rights Reserved
 *
 * Permission to use, copy, and modify this software and its documentation 
 * for any purpose and without fee is hereby granted, provided: 
 *
 * 1) that the above copyright notice and this permission notice appear in all
 *    copies of the software and derivative works or modified versions thereof, 
 *
 * 2) that both the copyright notice and this permission and disclaimer notice 
 *    appear in all supporting documentation, and 
 *
 * 3) that all derivative works made from this material are returned to the
 *    Regents of the University of Michigan and Merit Network, Inc. with
 *    permission to copy, to display, to distribute, and to make derivative
 *    works from the provided material in whole or in part for any purpose.
 *
 * Users of this code are requested to notify Merit Network, Inc. of such use
 * by sending email to aaa-admin@merit.edu
 *
 * Please also use aaa-admin@merit.edu to inform Merit Network, Inc of any
 * derivative works.
 *
 * Distribution of this software or derivative works or the associated
 * documentation is not allowed without an additional license.
 *
 * Licenses for other uses are available on an individually negotiated
 * basis.  Contact aaa-license@merit.edu for more information.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER
 * EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE REGENTS OF THE
 * UNIVERSITY OF MICHIGAN AND MERIT NETWORK, INC. DO NOT WARRANT THAT THE
 * FUNCTIONS CONTAINED IN THE SOFTWARE WILL MEET LICENSEE'S REQUIREMENTS OR
 * THAT OPERATION WILL BE UNINTERRUPTED OR ERROR FREE.  The Regents of the
 * University of Michigan and Merit Network, Inc. shall not be liable for any
 * special, indirect, incidental or consequential damages with respect to any
 * claim by Licensee or any third party arising from use of the software.
 *
 * Merit AAA Server Support
 * Merit Network, Inc.
 * 4251 Plymouth Road, Suite C.
 * Ann Arbor, Michigan, USA 48105-2785
 *
 * attn:  John Vollbrecht
 * voice: 734-764-9430
 * fax:   734-647-3185
 * email: aaa-admin@merit.edu
 *
 */

/*
 *	@(#)conf.h	0.1 10/11/94
 *	$Id: conf.h,v 1.2 1998/06/11 18:40:20 web Exp $
 */

#if defined(__STDC__) && (__STDC__ == 1)
#define	CONCAT(x,y)	x ## y
#define	CONST		const
#define	PROTO(x)	x
#define	STRING(x)	#x
#define	__const		const
#define	__signed	signed
#else	/* __STDC__ */
#define	CONCAT(x,y)	x/**/y
#define	CONST		/* const */
#define	PROTO(x)	(/* x */)
#define	STRING(x)	"x"

#ifndef __GNUC__
#define	__const
#define	__signed
#endif	/* __GNUC__ */

#endif	/* __STDC__ */

#if defined(__alpha)
typedef unsigned int UINT4;
typedef int INT4;
typedef unsigned short int UINT2;
#else	/* defined(alpha) */
typedef unsigned long UINT4;
typedef long INT4;
typedef unsigned short int UINT2;
#endif	/* defined(alpha) */

#if defined(unixware) || defined(sys5) || defined(M_UNIX) || defined(sun)
#include	<string.h>
#else	/* unixware */
#include	<strings.h>
#endif	/* unixware */

#if defined(bsdi)
#include	<machine/inline.h>
#include	<machine/endian.h>
#else	/* bsdi */
#ifndef	__FreeBSD__
#include	<malloc.h>
#endif	/* __FreeBSD__ */
#endif	/* bsdi */

/* #ifdef SYSV this is needed even on SunOS 4.1.3 */
#include	<pwd.h>
/* #endif XXX SYSV */

#if defined(aix)
#include	<sys/select.h>
#endif	/* aix */

#if defined(__hpux)
#include	<unistd.h>
#endif	/* __hpux */

#ifdef	USE_NDBM
#include	<ndbm.h>
#include	<fcntl.h>
#endif	/* USE_NDBM */

#if defined(USE_DBM)
#include	<dbm.h>
#if defined(sun)
#define	NULL 0
#endif	/* sun */
#if defined(__sgi)
#ifdef dbm_error64
#define	store store64
#define	dbminit dbminit64
#define	dbmclose dbmclose64
#endif	/* dbm_error64 */
#endif	/* __sgi */
#endif	/* USE_DBM */

#if defined(linux)
#include	<unistd.h>
#define	MIN(a, b)      ((a) < (b) ? (a) : (b))
#define	MAX(a, b)      ((a) > (b) ? (a) : (b))
#endif	/* linux */

#endif /* CONF_H */
